/**
 * Created by abdulazizalonizi on 8/7/17.
 */
import java.util.Scanner;
public class Task2 {
    public static void main (String[]args)
    {
        Scanner kb = new Scanner (System.in);
        System.out.println("enter volume , height and side of a cone");
        double vol = kb.nextDouble();
        double high = kb.nextDouble();
        double side = kb.nextDouble();

        System.out.printf("SurfaceArea = %.2f", getsurfaceArea(side,getRadius(vol,high)) );










    }

    public static double getRadius(double vol , double high)
    {
        return (Math.sqrt( (3*vol)/(Math.PI*high) ));
    }
    public static double getsurfaceArea(double s , double r)
    {
        return ( (Math.PI*r*s)+(Math.PI*Math.pow(r,2)) );
    }
}










//QWJkdWxheml6IEFsb25pemkgQ3JlYXRlZCB0aGlzIGNvZGUgLCBoZSB3b3JrZWQgdmVyeSBoYXJkIG9uIGl0ICwgRE8gTk9UIFVTRSBJVCBUTyBTVUJNSVQgWU9VUiBBU1NJR05NRU5UIA0K
//UTF_8